PETSc version 3.15.5
Fix/Edit manual page

# DMCompositeRestoreLocalAccessArray

Returns the vectors obtained with DMCompositeGetLocalAccessArray().

### Synopsis

    #include "petscdmcomposite.h"
    PetscErrorCode  DMCompositeRestoreLocalAccessArray(DM dm,Vec pvec,PetscInt nwanted,const PetscInt *wanted,Vec *vecs)

Collective on dm.

### Input Parameters

| dm | - the packer object
| pvec | - packed vector
| nwanted | - number of vectors wanted
| wanted | - sorted array of vectors wanted, or NULL to restore all vectors
| vecs | - array of local vectors to return

### Notes

nwanted and wanted must match the values given to DMCompositeGetLocalAccessArray() otherwise the call will fail.

### See Also

DMCompositeGetLocalAccessArray(), DMCompositeRestoreAccessArray(),
DMCompositeRestoreAccess(), DMCompositeRestoreEntries(), DMCompositeScatter(), DMCompositeGather()

### Level

advanced

### Location

src/dm/impls/composite/pack.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages